> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extract.page/llms.txt
> Use this file to discover all available pages before exploring further.

# List Batches Endpoint



## OpenAPI

````yaml /openapi.json get /v1/batches
openapi: 3.1.0
info:
  title: extract
  summary: Parse documents into structured data. Text, tables, and figures in one call.
  version: 0.1.0
servers:
  - url: https://api.extract.page
    description: production
security:
  - APIKeyHeader: []
paths:
  /v1/batches:
    get:
      tags:
        - v1
        - async-batch
      summary: List Batches Endpoint
      operationId: list_batches_v1
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BatchListResponse:
      properties:
        object:
          type: string
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/BatchResource'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
      title: BatchListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BatchResource:
      properties:
        object:
          type: string
          title: Object
          default: batch
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        counts:
          $ref: '#/components/schemas/BatchCounts'
        total_items:
          type: integer
          title: Total Items
        engine:
          anyOf:
            - type: string
            - type: 'null'
          title: Engine
        options:
          additionalProperties: true
          type: object
          title: Options
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          title: Created At
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
        expires_at:
          type: string
          title: Expires At
      type: object
      required:
        - id
        - status
        - counts
        - total_items
        - engine
        - options
        - created_at
        - expires_at
      title: BatchResource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BatchCounts:
      properties:
        pending:
          type: integer
          title: Pending
          default: 0
        running:
          type: integer
          title: Running
          default: 0
        succeeded:
          type: integer
          title: Succeeded
          default: 0
        failed:
          type: integer
          title: Failed
          default: 0
        cancelled:
          type: integer
          title: Cancelled
          default: 0
      type: object
      title: BatchCounts
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````